The oldest iOS version that Avaz supports is 9.3.5 however this version is incompatible with Dropbox. Therefore, you are recommended to go for iOS 11.0.